<?php
/* -----------------------------------------------------------------------------------------------
 *  MySQLi classのAPI接続：MySQLiオブジェクト指向接続:「継承クラス」のリペアドステートメントの実行
 *                          とsuper classメソッドの混在した利用例（PHP5.3以降）
 *  2016.06.30 作成 yoshi of CXMedia Inc.
 * -----------------------------------------------------------------------------------------------
 */
// MySQLiクラスを拡張（extends）したclassのロード
require_once "php_class/MySQLi_e.class.php";

// MySQLデータベース接続の初期設定
$db_define = array(
	'DBhost'  => 'localhost',    //接続サーバ（URL）
	'DBuser'  => 'user',         //DB接続のユーザ名
	'DBpwd'   => 'eLerning_PWD', //DB接続のパスワード
	'DBname'  => 'list_db',      //接続データベース名
	'DBtblm'  => 'persons',      //テーブル名
);
// MySQLi接続のインスタンス生成
$db = new MySQLi_e($db_define);

// MySQL接続の成功メッセージ表示
echo "■MySQL:「{$db->DBname}」のデータベース接続（オブジェクト指向型）に成功！",'<br>';

// SQL文の作成
$sql = "SELECT * FROM ".$db->DBtblm;
// 継承クエリメソッド：「Query()」の実行
$db->Query($sql);
echo "プリペアドステートメント:PrepareExecGetResult()メソッド利用：PHP5.3以降に利用可能<br>";
/* ---------------------------------------------------------------
 *        プリペアドステートメントの実行
 *   bind_paramの変数は、quote処理するとバインドされないので注意
 * --------------------------------------------------------------- */
// バインドパラメータの配列
$ary  = array(
	'pref_code' => 'KGW2',
	'city_code' => 'K002'
);
// sqlのプリペアドステートメントの作成
$sql  = "SELECT * FROM ".$db->DBtblm." WHERE pref_code=? && city_code=?";

// 継承の検索準備・バインド・実行メソッド：「PrepareExecGetResult()」の実行
if( $db->PrepareExecGetResult($sql,$ary) ){
	// 連想配列取得の継承メソッド：「FetchAssoc()」でレコード終りまでのデータ読み出し
	while($data = $db->FetchAssoc() ){
		// 結果を表示
		printf("%s 県の %s 市にいる人の名前は、 %sでメールは、%s<br><br>", 
		 $ary['pref_code'],$ary['city_code'],$data['name'],$data['email']);
	}
} else {
	// 継承エラープロパティ：「DBerror」の表示
	echo 'PrepareExec ERROR',$db->DBerror,'<br>';
}

// 継承のDBクローズメソッド：「Close()」の実行
$db->Close();

?>
